@import url("https://use.typekit.net/jmk3xov.css");
@import url("https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css");



*::-webkit-scrollbar,
html *::-webkit-scrollbar {
	height: 12px;
	width: 12px;
}

*::-webkit-scrollbar-track,
html *::-webkit-scrollbar-track {
	background: rgb(46, 46, 46);
}

*::-webkit-scrollbar-thumb,
html *::-webkit-scrollbar-thumb {
	background-color: rgb(255, 255, 255);
	box-shadow: 0 0 15px 5px #8a8a8a;
	border-radius: 5px;
	scroll-behavior: smooth;
}




:root {
	--dark-bg: rgba(15, 15, 15, 0.9);
	--spacing: 350px;
	font-family: brandon-grotesque, sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 1.5rem;
	overflow-x: hidden;

}

main {
	width: 10vw;
	color: white;
	z-index: 99;
	width: 100%;
	margin: 0px auto;
	position: absolute;
	padding: 120px 0px;
	display: grid;
	grid-template-columns: repeat(12, 1fr);

	z-index: 10;
}


h1,
h2,
h3,
blockquote {
	font-family: elevon, sans-serif;
	font-weight: 700;
	font-style: normal;

}

canvas {
	position: fixed;
	top: 0;
	left: 0;
	z-index: -100;

}

#diamond {

	z-index: 10;
}

header {
	background: var(--dark-bg);
	grid-column: 2/span 5;
	font-style: 2.5em;
	padding: 2rem;
	margin-bottom: var(--spacing);

}


section {
	grid-column: 2/10;
	padding: 1rem;
	background: var(--dark-bg);
	font-style: 1.5rem;
	line-height: 1.5;

	margin-bottom: var(--spacing);
}

blockquote {
	margin: 0;
	padding: 0;
	grid-column: 3 / 12;
	margin-bottom: var(--spacing);
}

blockquote p {
	color: black;
	background-color: #fff;
	font-style: 4rem;
	display: inline;

	line-height: 1;
}

.left {
	grid-column: 6/12;
}

.right {
	grid-column: 5 / 12;
}

.footer {
	grid-column: 2/8;
	display: grid;
	grid: auto auto auto auto;
}

.WebLib {
	color: #f2f2f2;
}

.WebLib:hover {
	color: #6d0c80;
}

.light li {
	margin: 10px;
}

.here,
.light {
	font-family: monospace;
}


.container {
	width: 300px;
	background: #f2f2f2;
	overflow: hidden;
	border-radius: 20px;
	cursor: none;
	margin: 10px;
	transition: 0.5s ease-in-out;

	display: flex;
	align-items: center;
	justify-content: center;
}

.flex {
	display: flex;
	position: relative;
	text-align: center;
}

.content {
	position: absolute;
	top: 50%;
	text-align: justify;
	color: black;
	padding: 40px;
	font-family: 'Merriweather', serif;
}

img {
	display: block;
	max-width: 300px;

}

.project {
	width: 300px;
	height: 220px;
}

.container:hover {
	transform: scale(0.96);
	transition: 0.5s ease-in-out;
	box-shadow: 0 0 15px 5px #f2f2f2;
}

.blockquote {
	background: none repeat scroll 0 0 padding-box rgba(255, 255, 255, 0.05);
	border-left: 5px solid #6d0c80;
	box-shadow: 0 0 20px #222222;
	color: #ffffff;
	font-family: monospace;
	font-size: 20px;
	font-style: italic;
	line-height: 1.45;
	outline: 0 none;
	padding: 10px 15px;
	text-align: center;
	width: 750px;
}

hr {
	align-items: center;
	width: 750px;
	box-shadow: 0px 0px 10px 2px #8a8a8a;
	height: 1px;
	background: #fff;
}



@media (max-width: 1700px) {
	hr {
		width: 550px;
	}

	.blockquote {
		width: 650px;
	}


}


@media (max-width: 1500px) {
	.left {
		grid-column: 2/12;
	}

	hr {
		width: 550px;
	}

	.blockquote {
		width: 650px;
	}


}


@media (max-width: 1271px) {
	.left {
		grid-column: 2/12;
	}


}

@media (max-width: 1196px) {
	.left {
		grid-column: 2/12;
	}


}

@media (max-width:935px) {
	header {
		width: 400px;
	}

	.left {
		grid-column: 2/12;
	}


	hr {
		width: 550px;
	}

	.blockquote {
		width: 450px;
	}
}

@media (max-width:825px) {
	header {
		width: 400px;
	}

	.left {
		grid-column: 2/12;
	}


	hr {
		width: 450px;
	}

	.blockquote {
		width: 450px;
	}
}

@media (max-width:610px) {
	header {
		width: 400px;
	}

	.left {
		grid-column: 2/12;
	}



	hr {
		width: 350px;
	}

	.blockquote {
		width: 370px;
	}
}


@media (max-width:553px) {
	header {
		grid-column: 4;
	}

	.left {
		grid-column: 2/12;
	}


	hr {
		width: 350px;
	}

	.blockquote {
		width: 400px;
	}
}

@media (max-width: 375px) {
	header {
		width: 250px;
	}

	.left {
		width: 310px;
	}

	hr {
		width: 280px;
	}

	.blockquote {
		width: 280px;
	}
}

.list6b {
	padding: 0;
	list-style: none;
}

.list6b li {
	padding: 6px;
}

.list6b li:before {
	padding-right: 10px;
	font-weight: bold;
	color: #C0C0C0;
	content: "\2714";
	transition-duration: 0.5s;
}

.list6b li:hover:before {
	color: #6d0c80;
	content: "\2714";

}

.wrapper {
	display: flex;
	justify-content: center;
	align-content: center;
	margin-top: 5vh;
}

.social {
	list-style: none;
	/* width: 400px; */
	height: 80px;
}

.social li {
	float: left;
	width: 75px;
	height: 70px;
	border: 3px solid #fff;
	margin-right: 36px;
	border-radius: 25px;
	position: relative;
	cursor: none;
	transition: all 0.5s linear;
}

.social li:last-child {
	margin-right: 0;
}

.social li .fa {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: #fff;
	font-size: 30px;
	transition: all 0.5s linear;
}

.social li:hover {
	background: #fff;
	box-shadow: 0 0 30px 3px #fff;
}

.social li:hover .fa {
	color: #6d0c80;
}

@media screen and (max-width: 640px) {
	.wrapper .social {
		width: 100px;
	}

	.wrapper .social li {
		margin-top: 20px;
	}
}



#circles {
	border-radius: 100%;
	position: absolute;
	margin: -18px 0 0 -20px;
	z-index: 100;
	width: 20px;
	height: 20px;
	pointer-events: none;

}

body {
	cursor: none;
}

img.rot {
	border-radius: 100%;
	animation: 3s linear 0s normal none infinite running rot;
	-webkit-animation: 3s linear 0s normal none infinite running rot;
	filter: invert(1);
	width: 40px;
	height: 40px;


	/*box-shadow: 0px 0px 120px 8px #0ac6df;*/

}

@keyframes rot {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

@-webkit-keyframes rot {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}